#include <iostream>
#include <string>
#include <cmath>
using namespace std;

int main()
{
    string c; cin>>c;
    char cjedan = c[0];
    char cdva = c[1];
    int ajedna,adva; cin>>ajedna>>adva;
    if(abs(ajedna-adva) <=1){
        if(ajedna>adva){
            for(int i=0; i<ajedna-1; i++){
                cout<<cjedan<<cdva;
            }
            cout<<cjedan;
        }else if(ajedna == adva){
            for(int i = 0; i<ajedna; i++){
                cout<<cjedan<<cdva;
            }
        }else{
            for(int i=0; i<adva-1; i++){
                cout<<cdva<<cjedan;
            }
            cout<<cdva;
        }
    }else{
        cout<<"nemoguce";
    }
}